This page was not yet optimized for use on mobile devices.
Unisys OS 2200 Cryptographic Library
Certificate details
| Certificate ID | #1357 |
|---|---|
| Status | historical |
| Historical reason | RNG SP800-131A Revision 1 Transition |
| Validation dates | 12.07.2010 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Description | The Unisys OS 2200 Cryptographic Library provides Unisys OS 2200 programs with access to FIPS-approved cryptographic services. |
| Tested configurations |
|
| Vendor | Unisys Corporation http://www.unisys.com |
| Lab | SAIC-VA |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, HMACAsymmetric Algorithms
DH, DSAHash functions
MD5Schemes
MAC, Key Agreement, Key agreementRandomness
RNGBlock cipher modes
ECB, CBCSecurity level
Level 1Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 1357,
"dgst": "f3e055913a0b1eb0",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC#753",
"Triple-DES#910",
"AES#1293",
"#418",
"#910",
"RSA#619",
"RNG#721",
"SHS#1187",
"#1293",
"DSA#418"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"2200"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"FF": {
"DH": {
"DH": 2
},
"DSA": {
"DSA": 9
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"ECB": {
"ECB": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {},
"crypto_scheme": {
"KA": {
"Key Agreement": 3,
"Key agreement": 1
},
"MAC": {
"MAC": 2
}
},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES (128": 1,
"Certificate AES": 1,
"DES (56": 1,
"Diffie - Hellman 1": 1,
"HMAC - SHA - 1": 2,
"SHA (1": 1,
"SHA - 1": 8,
"SHA - 256": 1,
"SHA - 512": 1,
"SHA -1": 2,
"SHA 1": 3,
"SHA 224": 1,
"SHA 256": 1,
"SHA 384": 1,
"SHA 512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"RNG": {
"RNG": 19
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 30,
"FIPS 140-2": 15,
"FIPS 180": 1,
"FIPS 186": 8,
"FIPS 197": 1,
"FIPS 198": 1,
"FIPS 46": 2
},
"RFC": {
"RFC1115": 1,
"RFC1321": 1,
"RFC2104": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 6
},
"RC": {
"RC4": 4
}
},
"DES": {
"DES": {
"DES": 10
}
},
"constructions": {
"MAC": {
"HMAC": 11
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#753",
"Triple-DES#910",
"AES#1293",
"RSA#619",
"RNG#721",
"SHS#1187",
"DSA#418"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#910",
"#1293",
"#418"
]
},
"policy_metadata": {
"/Author": "marescaj",
"/CreationDate": "D:20100608091024-04\u002700\u0027",
"/Creator": "PScript5.dll Version 5.2",
"/ModDate": "D:20100608091024-04\u002700\u0027",
"/Producer": "Acrobat Distiller 8.1.0 (Windows)",
"/Title": "Microsoft Word - OS 2200 Cryptographic Library FIPS 140-2 Security Policy.docx",
"pdf_file_size_bytes": 169351,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 16
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "e750985c66d1cf57f6b2133ba72a96fbb982336fae321fb714d3ff733ad29df6",
"source_hash": "326270c1d965cc1a34813e3705fc9606b5a56eac2ed776a8d245a046e82b4934",
"txt_hash": "34b545f12291e0c7aa2b59024df06ed2d9634c6af1a92a5bcc02ecb9e8bfbb1b"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/140crt1357.pdf",
"date_sunset": null,
"description": "The Unisys OS 2200 Cryptographic Library provides Unisys OS 2200 programs with access to FIPS-approved cryptographic services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": null,
"fw_versions": null,
"historical_reason": "RNG SP800-131A Revision 1 Transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Unisys OS 2200 Cryptographic Library",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1R1",
"tested_conf": [
"Unisys OS 2200 Operating System (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2010-07-12",
"lab": "SAIC-VA",
"validation_type": "Initial"
}
],
"vendor": "Unisys Corporation",
"vendor_url": "http://www.unisys.com"
}
}